/* $Cambridge: hermes/src/prayer/session/addr.h,v 1.3 2008/09/16 09:59:58 dpc22 Exp $ */
/************************************************
 *    Prayer - a Webmail Interface              *
 ************************************************/

/* Copyright (c) University of Cambridge 2000 - 2008 */
/* See the file NOTICE for conditions of use and distribution. */

/* Some utility routines for processing address objects */

char *addr_text(struct pool *pool, ADDRESS * addr);

char *addr_text_exclude(struct session *session, struct pool *pool,
                        ADDRESS * addr, ADDRESS * exclude);

ADDRESS *
addr_parse_destructive(char *text, char *default_domain);

ADDRESS *
addr_parse(struct pool *pool, char *text, char *default_domain);

BOOL
addr_check_valid(struct pool *pool, char *text);
